Add dashboard to favorites
curl --request PUT \
--url https://api.coralogix.com/mgmt/openapi/5/dashboards/pinned/v1/{dashboard_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/dashboards/pinned/v1/{dashboard_id}"
headers = {"Authorization": "<api-key>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/dashboards/pinned/v1/{dashboard_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Dashboard Service
Add dashboard to favorites
Pins the specified dashboard.
Requires the following permissions:
team-dashboards:Read
Add dashboard to favorites
Authorizations
API key authentication
Path Parameters
The dashboard id.
Required string length:
21Pattern:
^[\s\S]*$Query Parameters
Idempotency key for the pin request, used to prevent duplicate operations.
Required string length:
1 - 128Pattern:
^[\s\S]*$Response
This is a response received on successful pinning of the dashboard
Was this page helpful?
⌘I